import { RoughOptions } from 'react-roughjs';
import * as React from 'react';
export declare type Margin = {
    top?: number;
    bottom?: number;
    left?: number;
    right?: number;
};
export interface ScaleData {
    xAxisKey?: string;
}
export interface ChartContextProps<T = any> {
    data?: T[];
    width?: number;
    height?: number;
    options?: RoughOptions;
    margin?: Margin;
    scaleData: ScaleData;
    setScaleData: (f: (scaleData: ScaleData) => ScaleData) => void;
}
export declare const ChartContext: React.Context<ChartContextProps<any>>;
export declare function useChartContext<T extends any>(props: ChartContextProps<T>): ChartContextProps<T> & {
    contentHeight: number;
    contentWidth: number;
};
declare type ChartProviderProps = Omit<ChartContextProps, 'scaleData' | 'setScales'>;
export declare const ChartProvider: React.FC<ChartProviderProps>;
export default ChartContext;
